gr::gsm::msg_to_tag_impl Class Reference

`#include <msg_to_tag_impl.h>`

Inheritance diagram for gr::gsm::msg_to_tag_impl:

## Public Member Functions

| msg_to_tag_impl ()
| ~msg_to_tag_impl ()
void | queue_msg (pmt::pmt_t msg)
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::gsm::msg_to_tag
typedef std::shared_ptr< msg_to_tag > | sptr
Static Public Member Functions inherited from gr::gsm::msg_to_tag
static sptr | make ()
| Return a shared_ptr to a new instance of grgsm::msg_to_tag.

## Constructor & Destructor Documentation

## msg_to_tag_impl()

gr::gsm::msg_to_tag_impl::msg_to_tag_impl | ( |  | ) |

## ~msg_to_tag_impl()

gr::gsm::msg_to_tag_impl::~msg_to_tag_impl | ( |  | ) |

## Member Function Documentation

## queue_msg()

void gr::gsm::msg_to_tag_impl::queue_msg | ( | pmt::pmt_t | msg | ) |

## work()

int gr::gsm::msg_to_tag_impl::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

The documentation for this class was generated from the following file:

- msg_to_tag_impl.h